-- Farben
white = Color.new(255, 255, 255)
red = Color.new(255, 0, 0)
black = Color.new(0, 0, 0)
blau = Color.new(0, 0, 255)
gruen = Color.new(0, 255, 0)
bunt = Color.new(math.random(0,255),math.random(0,255),math.random(0,255))
-- Zahlen
zahl1 = math.random(1,49)
zahl2 = math.random(1,49)
zahl3 = math.random(1,49)
zahl4 = math.random(1,49)
zahl5 = math.random(1,49)
zahl6 = math.random(1,49)
zusatzzahl = math.random(1,49)
--screenshot
lotto=1

while true do
screen:clear(black)
   screen:print(70,104, zahl1, white)
   screen:print(130,104, zahl2, white)
   screen:print(190,104, zahl3, white)
   screen:print(250,104, zahl4, white)
   screen:print(310,104, zahl5, white)
   screen:print(370,104, zahl6, white)
   screen:print(110,184, "Zusatzzahl:", white)
   screen:print(310,184,zusatzzahl, red)
   screen:print(180,240,"Neue Zahlen mit X",red)
   screen:print(130,260,"Select=Screenshot - Start=Quit",red)
screen.flip()
screen.waitVblankStart()
pad = Controls.read()
if pad:start()
then dofile("main.lua")
end
pad = Controls.read()
if pad:cross()
then dofile("lotto/lotterie1.lua")
end
pad = Controls.read()
if pad:select() then
screen:save("ms0:/PICTURE/lotto"..lotto..".jpg")
lotto=lotto+1
end
end

